Get the results of the freight margin report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the consignment date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment date range

Responses
  • application/json
Request Example for post/v1/reports/freight-margin
curl https://api.consignlyhq.com/v1/reports/freight-margin \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null
}'
[
  {
    "type": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
    "dateEntered": "date (YYYY-MM-DD)",
    "consignmentNumber": null,
    "referenceNumber": null,
    "clientName": null,
    "carrierName": null,
    "originAddressName": null,
    "originAddressText": null,
    "destinationAddressName": null,
    "destinationAddressText": null,
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "containerNumber": null,
    "freightIncurred": 1,
    "freightCharged": 1,
    "marginPercent": 1
  }
]